import { ICoverageVehicle, IQuoteRequestVehicleCoverageComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkQuoteRequestVehicleCoverage implements IQuoteRequestVehicleCoverageComponent {
    vehicles: ICoverageVehicle[];
    useExternal: boolean;
    resetState(): void;
    componentWillLoad(): void;
    render(): any[];
    renderExternal(): any;
    renderInternal(): any;
}
